ClarisWksStruct.cxx File Reference
`#include <string.h>`
`#include <algorithm>`
`#include <iomanip>`
`#include <iostream>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWDebug.hxx"`
`#include "MWAWInputStream.hxx"`
`#include "MWAWParser.hxx"`
`#include "ClarisWksStruct.hxx"`

## Namespaces
namespace | ClarisWksStruct
| namespace to store the main structure which appears in a ClarisDraw/ClarisWorks file

## Functions
std::ostream & | ClarisWksStruct::operator<< (std::ostream &o, Struct const &z)
bool | ClarisWksStruct::readIntZone (MWAWParserState &parserState, char const *zoneName, bool hasEntete, int fSz, std::vector< int > &res)
| try to read a int structured zone where fSz to the int size: 1(int8), 2(int16), 4(int32)
bool | ClarisWksStruct::readStructZone (MWAWParserState &parserState, char const *zoneName, bool hasEntete)
| try to read a structured zone with unknown content
std::ostream & | ClarisWksStruct::operator<< (std::ostream &o, DSET const &doc)

## Variables
static const int | ClarisWksStruct::MAX_PAGES = 1 << 16